Contact
Update contact view
Update a contact view. The update is partial: omitted attributes keep their current values.
PATCH
/
v1
/
contacts
/
views
/
{viewId}
cURL
curl --request PATCH \
--url https://api.claap.io/v1/contacts/views/{viewId} \
--header 'Content-Type: application/json' \
--header 'X-Claap-Key: <api-key>' \
--data '
{
"columns": [
{
"isHidden": false,
"type": "Default",
"width": 123
}
],
"filters": {
"companyIdIn": [],
"companyIdNotIn": [],
"externalities": []
},
"icon": "<string>",
"name": "<string>",
"sort": [
{}
]
}
'import requests
url = "https://api.claap.io/v1/contacts/views/{viewId}"
payload = {
"columns": [
{
"isHidden": False,
"type": "Default",
"width": 123
}
],
"filters": {
"companyIdIn": [],
"companyIdNotIn": [],
"externalities": []
},
"icon": "<string>",
"name": "<string>",
"sort": [{}]
}
headers = {
"X-Claap-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Claap-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
columns: [{isHidden: false, type: 'Default', width: 123}],
filters: {companyIdIn: [], companyIdNotIn: [], externalities: []},
icon: '<string>',
name: '<string>',
sort: [{}]
})
};
fetch('https://api.claap.io/v1/contacts/views/{viewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"viewId": "<string>",
"name": "<string>",
"ownerId": "<string>",
"columns": [
{
"columnId": "<string>",
"isHidden": false,
"type": "Default",
"width": 123
}
],
"filters": {
"companyIdIn": [],
"companyIdNotIn": [],
"externalities": []
},
"sort": [
{}
],
"icon": "<string>"
}
}The update is partial: omitted attributes keep their current values. Private views cannot be accessed through the API and are reported as not found.
Authorizations
Path Parameters
Contact view identifier
Body
application/json
The columns of the contacts table. When omitted, the current columns are kept.
Show child attributes
Show child attributes
The filters applied by the view. When omitted, the current filters are kept.
Show child attributes
Show child attributes
The view icon. Set to null to remove the icon.
The view name.
The sort order of the contacts table. When omitted, the current sort order is kept.
Show child attributes
Show child attributes
Response
Contact view was successfully updated
A saved view of the contacts table.
Show child attributes
Show child attributes
⌘I
cURL
